# Timbal Platform Tools

This directory contains all functions that can be used as tools by agents to interact with the Timbal platform.

Each function in this module is designed to expose a specific capability of the Timbal platform—such as retrieving organizations, managing resources, or performing platform-specific operations—so that agents and automations can leverage these capabilities in a standardized way.

By centralizing these agent-accessible tools here, we aim to ensure discoverability, maintainability, and a clear separation between agent-facing APIs and internal logic.

If you are developing a new function that should be available as a tool to agents, please add it to this directory and provide appropriate documentation and type annotations.
